import { SendOverDeriveKeyParams } from './deriveKey';
/**
 * Modified deriveKey function that utilizes a caching mechanism.
 * This function first checks if the result for the given parameters is already in the cache.
 * If so, it returns the cached result. Otherwise, it proceeds with the derivation and stores the result in the cache.
 *
 * @param {SendOverDeriveKeyParams} params - The input parameters for the key derivation.
 * @return {string} Hex string of the derived key.
 */
export declare function deriveKeyWithCache(params: SendOverDeriveKeyParams): string;
//# sourceMappingURL=deriveKeyWithCache.d.ts.map